<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#1e2248"
    android:orientation="vertical">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingVertical="@dimen/d_10">

        <TextView
            android:id="@+id/unitName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_school_name"
            android:paddingVertical="@dimen/d_10"
            android:paddingStart="@dimen/dp_40"
            android:paddingEnd="@dimen/d_20"
            android:text="xxxxx学校"
            android:textSize="22dp" />

        <View
            android:layout_width="0px"
            android:layout_height="1dp"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/timeView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingVertical="@dimen/d_10"
            android:paddingStart="@dimen/dp_40"
            android:paddingEnd="@dimen/dp_40"
            android:text="xxxx年xx月xx日 xx:xx:xx 星期x"
            android:textColor="#fff"
            android:textSize="32dp" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/classNameLayout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentStart="true"
            android:layout_gravity="center_vertical"
            android:gravity="center_vertical">

            <TextView
                android:id="@+id/classNameTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingStart="@dimen/dp_40"
                android:text="xx年级xx班"
                android:textColor="#ffce5a"
                android:textSize="32dp" />

            <ImageView
                android:id="@+id/classSwIcon"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="@dimen/d_20"
                android:src="@mipmap/icon_class_sw" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <ImageView
            android:id="@+id/btnRefresh"
            android:layout_width="594dp"
            android:layout_height="58dp"
            android:layout_centerHorizontal="true"
            android:scaleType="fitXY"
            android:src="@mipmap/icon_hhxx" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/userNameLayout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:gravity="center_vertical">

            <ImageView

                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="@dimen/d_20"
                android:src="@mipmap/icon_class_userhead" />

            <TextView
                android:id="@+id/loginUserNameTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/d_20"
                android:paddingEnd="@dimen/dp_40"
                android:text="xxxx"
                android:textColor="#fff"
                android:textSize="32dp" />
        </androidx.appcompat.widget.LinearLayoutCompat>


        <AbsoluteLayout
            android:layout_width="match_parent"
            android:layout_height="108dp">

            <ImageView
                android:layout_width="112dp"
                android:layout_height="108dp"
                android:layout_x="1280dp"
                android:layout_y="0dp"
                android:src="@mipmap/ic_ya" />
        </AbsoluteLayout>
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:paddingHorizontal="@dimen/dp_40">

        <LinearLayout
            android:layout_width="420dp"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingBottom="@dimen/d_20">

            <include layout="@layout/layout_brand_class_info" />

            <include layout="@layout/layout_brand_tea_info" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/d_20"
            android:paddingBottom="@dimen/d_20">

            <include layout="@layout/layout_brand_image_info" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="420dp"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingBottom="@dimen/d_20">

            <include layout="@layout/layout_brand_timetable_info" />

            <include layout="@layout/layout_brand_active_info" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>